词汇/Bearer
Read built-in vocabulary progress
Read compact progress statistics for an enabled built-in IELTS vocabulary set, or per-word progress for up to 50 exact entry ids.
Endpoint
POST
/api/v1/agent/capabilities/ielts_vocabulary_builtin_progress请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| entryIds | unknown[] | 否 | Exact built-in word ids whose per-word progress is needed. Empty returns summary statistics only. |
| setId | core | listening | reading | 否 | Built-in wordbook id. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_vocabulary_builtin_progress' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"entryIds":[],"setId":"core"}'请求结构
{
"type": "object",
"properties": {
"entryIds": {
"default": [],
"description": "Exact built-in word ids whose per-word progress is needed. Empty returns summary statistics only.",
"maxItems": 50,
"type": "array",
"items": {
"type": "string",
"minLength": 1,
"maxLength": 80
}
},
"setId": {
"default": "core",
"description": "Built-in wordbook id.",
"type": "string",
"enum": [
"core",
"listening",
"reading"
]
}
},
"required": [
"entryIds",
"setId"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在